export interface AssetRequestOptions {
    original?: boolean;
    width?: number;
}
export declare type AssetRequestContext<T extends Record<string, any> = Record<string, any>> = T & {
    /**
     * Asset request URL.
     */
    url: string;
};
export interface AssetRequestData<TOptions> {
    key: string;
    context: AssetRequestContext;
    options: TOptions;
}
export declare class AssetRequest<TOptions extends AssetRequestOptions = AssetRequestOptions> {
    private data;
    constructor(data: AssetRequestData<TOptions>);
    getKey(): string;
    getOptions(): TOptions;
    setOptions(options: TOptions): void;
    getContext<T>(): AssetRequestContext<T>;
    getExtension(): string | undefined;
}
