"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SetCacheControlHeaders = void 0;
class SetCacheControlHeaders {
  constructor(headers, strategy) {
    this.headers = headers;
    this.strategy = strategy;
  }
  async output(asset) {
    if (!this.strategy) {
      throw Error(`No asset output strategy is configured!`);
    }
    const reply = await this.strategy.output(asset);
    reply.setHeaders(headers => {
      return headers.merge(this.headers);
    });
    return reply;
  }
}
exports.SetCacheControlHeaders = SetCacheControlHeaders;

//# sourceMappingURL=SetCacheControlHeaders.js.map