"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PrivateAuthenticatedAuthorizer = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
class PrivateAuthenticatedAuthorizer {
  constructor(context) {
    this.context = context;
  }
  async authorize(file) {
    if (file.accessControl && file.accessControl.type === "private-authenticated") {
      // Make sure there's a valid identity!
      const identity = this.context.security.getIdentity();
      if (!identity) {
        throw new _error.default({
          code: "NOT_AUTHORIZED",
          message: "You're not authorized to access this asset!"
        });
      }
    }
  }
}
exports.PrivateAuthenticatedAuthorizer = PrivateAuthenticatedAuthorizer;

//# sourceMappingURL=PrivateAuthenticatedAuthorizer.js.map