"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RedirectToPublicUrlOutputStrategy = void 0;
var _ = require("../..");
var _handler = require("@webiny/handler");
class RedirectToPublicUrlOutputStrategy {
  constructor(assetRequest) {
    this.assetRequest = assetRequest;
  }
  async output(asset) {
    const requestUrl = this.assetRequest.getContext().url;
    return new _.AssetReply({
      code: 301,
      headers: _handler.ResponseHeaders.create({
        location: requestUrl.replace("/private/", "/files/"),
        "content-type": asset.getContentType(),
        "cache-control": `public, max-age=${86400 * 30}`
      })
    });
  }
}
exports.RedirectToPublicUrlOutputStrategy = RedirectToPublicUrlOutputStrategy;

//# sourceMappingURL=RedirectToPublicUrlOutputStrategy.js.map